FMC003, ODB Support not as listed

In the list of vehicles supported, the KIA Niro EV is listed to support VIN, SOC, SOH, BatTemp and Milage. However, it only reads VIN and SOC on my KIA Niro EV. The SOC value also comes back in the field for the “Hybrid Battery”. So the adapter probably thinks it is the Hybridversion.
Is there anywhere the possiblility to switch to the right vehicle?

For a feature request: It would be great to have a programmable device where the ODB Values can be configured since for many cars, the ODB Commands are available.

Hi Lobin,

What is the year model of your KIA Niro EV? From the supported vehicle list we only support the 2017 model.

If you have a different year model and you missed some parameters probably your vehicle is not yet supported, in this case, kindly contact your sales manager or if you don’t have contact with your sales manager, please contact them on our official website https://teltonika-gps.com/ and click on the “Contact Us” button. When you will click, please fill out the form and submit it. Note: as a topic, please choose “Vehicle telematics”. Or you can send an e-mail with a description of your situation to us: Teltonika - IoT, Internet of Things

Best Regards,
Maynard C.

Thanks Maynard,

yes, it is a 2022 Model. I thought that is given, since the Niro EV is only the new name. So I’m lucky I get the SOC then :slightly_smiling_face:
I’ll contact you guys for a according request.

regards, Wolfgang

1 Like

Hi,

I have the same problem, but my car, a BMW M140i is in the list (at position 115) of supported cars in the Telematics Wiki Knowledge Base. Nevertheless I get the error message “Not Supported” when I connect the OBD (see screenshot).

Basically the OBD is recognized, but apparently the Configurator does not support the version. I could not see now how I can update the firmware via the Configurator. I do not understand why the version should no longer be supported or directly the possibility of a (Firmware-) update is offered?

Best regards, Dave

Teltonika

Hi

Good day, Welcome to the Teltonika Telematics community forum!

You are using a wrong configurator for your device firmware , to upgrade the firmware of your device kindly use Teltonika Configurator tool: TCT – Next-Generation Telematics Configuration Tool (teltonika-gps.com)

After using that configurator tool, you can download the latest firmware of FMC003 on this link: FMC003 firmware errata - Wiki Knowledge Base | Teltonika GPS

Download it here: https://wiki.teltonika-gps.com/view/Special:Redirect/file/FMB.Ver.03.28.03.Rev.97_and_configurator.zip

Best Regards,
Maynard C.

1 Like

Thank you, that was the solution!

However, it is confusing because the old configurator is given in the wiki entry. That should be updated :slight_smile: .

Best Regards,
Dave

1 Like